[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#775894: libqt4-ruby1.8: leaves diversion after upgrade from from lenny -> squeeze -> wheezy -> jessie



Followup-For: Bug #775894
Control: severity -1 serious

Hi,

after the upgrade sequence lenny -> squeeze -> wheezy -> jessie the
situation of rbqtapi is as follows:

# l /usr/bin/rbqt*
lrwxrwxrwx 1 root root    7 May 18  2014 /usr/bin/rbqt4api -> rbqtapi
-rwxr-xr-x 1 root root 4570 Jun 28  2013 /usr/bin/rbqtapi.qt3

# dpkg -S /usr/bin/rbqt*
ruby-qt4: /usr/bin/rbqt4api
diversion by libqt4-ruby1.8 from: /usr/bin/rbqtapi
diversion by libqt4-ruby1.8 to: /usr/bin/rbqtapi.qt3

Since there is no /usr/bin/rbqtapi, I'm raising the severity to serious.

The attached patch fixes the situation by cleaning up the obsolete
diversion in ruby-qt4.postinst. I'm doing this in ruby-qt4 instead of
the transitional libqt4-ruby1.8 package since the transitional one may
alredy have been removed.
I verified in piuparts and manually that this patch actually cleans up
the situation.

Andreas
diff -Nru qtruby-4.11.3/debian/changelog qtruby-4.11.3/debian/changelog
--- qtruby-4.11.3/debian/changelog	2014-05-19 00:39:40.000000000 +0200
+++ qtruby-4.11.3/debian/changelog	2015-01-25 00:34:32.000000000 +0100
@@ -1,3 +1,11 @@
+qtruby (4:4.11.3-5) UNRELEASED; urgency=medium
+
+  [ Andreas Beckmann ]
+  * ruby-qt4.postinst: Clean up obsolete diversions of rbqtapi dating back to
+    libqt4-ruby1.8/lenny.  (Closes: #775894)
+
+ -- Andreas Beckmann <anbe@debian.org>  Sat, 24 Jan 2015 23:13:11 +0100
+
 qtruby (4:4.11.3-4) unstable; urgency=medium
 
   * Build against Ruby 2.1.
diff -Nru qtruby-4.11.3/debian/ruby-qt4.postinst qtruby-4.11.3/debian/ruby-qt4.postinst
--- qtruby-4.11.3/debian/ruby-qt4.postinst	1970-01-01 01:00:00.000000000 +0100
+++ qtruby-4.11.3/debian/ruby-qt4.postinst	2015-01-25 00:32:48.000000000 +0100
@@ -0,0 +1,19 @@
+#!/bin/sh
+set -e
+
+# clean up obsolete diversions dating back to libqt4-ruby1.8/lenny
+# perform the cleanup here in the "successor" ruby-qt4 since the
+# transitional package libqt4-ruby1.8 may already have been removed
+if [ "$1" = "configure" ]; then
+	if [ -n "$(dpkg-divert --listpackage /usr/bin/rbqtapi)" ]; then
+		dpkg-divert --remove --rename --package libqt4-ruby1.8 \
+			--divert /usr/bin/rbqtapi.qt3 /usr/bin/rbqtapi
+	fi
+	if [ -n "$(dpkg-divert --listpackage /usr/share/man/man1/rbqtapi.1.gz)" ]; then
+		dpkg-divert --remove --rename --package libqt4-ruby1.8 \
+			--divert /usr/share/man/man1/rbqtapi.qt3.1.gz \
+			/usr/share/man/man1/rbqtapi.1.gz 
+	fi
+fi
+
+#DEBHELPER#

Reply to: